#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libgmp10 installation
#
# Creation   :  2017-12-16 holbru
# Last update:  $Id: postinstall-libgmp10.sh 47926 2017-12-16 21:52:41Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libgmp10

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' libgmpxx4 | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/lib/libgmpxx.so.4
    rm -f /usr/lib/libgmpxx.so.4.3.3
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
